megaraid drivers V1.18c

Tom Lesniak TLesniak at lyrix.com
Tue Oct 8 08:38:01 CDT 2002


I am currently running RH7.2 (2.4.9-13)  I need to build the megaraid
drivers so I can use one of the perc3dc controllers but I have been
unsuccessful in building the binary.

I've installed the source rpm package on my system and am trying to
build the binary rpm, but it won't work.  I keep getting errors.

Has anyone been successful in trying to build this binary RPM??

Here's what I am getting output when I try to build the RPM package.

---------------------------

Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.64609
+ umask 022
+ cd /usr/src/redhat/BUILD
+ '[' '!' -e /tmp/megaraid ']'
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.64609
+ umask 022
+ cd /usr/src/redhat/BUILD
+ '[' /tmp/megaraid '!=' / ']'
+ rm -rf /tmp/megaraid
+ mkdir -p /tmp/megaraid
+ cd /tmp/megaraid
+ tar xvzf /usr/src/redhat/SOURCES/megaraid-1.18c-3.tgz
megaraid.c
megaraid.h
+ /usr/lib/rpm/brp-compress
+ /usr/lib/rpm/brp-strip
+ /usr/lib/rpm/brp-strip-comment-note
Processing files: megaraid-1.18c-3
error: File not found: /tmp/megaraid/tmp/megaraid
error: File not found: /tmp/megaraid/usr
PreReq: /bin/sh /bin/sh /bin/sh
Requires(interp): /bin/sh /bin/sh /bin/sh
Requires(pre): /bin/sh
Requires(post): /bin/sh
Requires(preun): /bin/sh
Requires: kernel >= 2.4


RPM build errors:
    File not found: /tmp/megaraid/tmp/megaraid
    File not found: /tmp/megaraid/usr

--------------------------


any help would be greatly appreciated.


     - Tom





More information about the Linux-PowerEdge mailing list